Loading...
Searching...
No Matches
sky_pos Struct Reference
Apparent equatorial positions on sky | Observing frames

Celestial object's place on the sky; contains the output from place(). More...

`#include <novas.h>`

## Data Fields

double | dec
| [deg] apparent, topocentric, or astrometric declination (degrees)
double | dis
| [AU] true (geometric, Euclidian) distance to solar system body or 0.0 for star (AU)
double | r_hat [3]
| unit vector toward object (dimensionless)
double | ra
| [h] apparent, topocentric, or astrometric right ascension (hours)
double | rv
| [km/s] radial velocity (km/s).

## Detailed Description

Celestial object's place on the sky; contains the output from place().

See also
  novas_sky_pos(), novas_transform_sky_pos(), SKY_POS_INIT

## Field Documentation

## rv

double rv

[km/s] radial velocity (km/s).

As of SuperNOVAS v1.3, this is always a proper observer-based spectroscopic velocity measure, which relates the observed wavelength to the rest wavelength as λobs = (1 + rv / c) λrest. novas_ssb_to_lsr_vel(), novas_v2z()

The documentation for this struct was generated from the following file:

- /build/supernovas-Ly00hg/supernovas-1.5.1/include/novas.h